Skip to main content

Submit user feedback

Submit feedback for the application. Feedback is associated with the authenticated user.

Request Body — REQUIRED

Feedback object to be submitted.

userId string
content string — REQUIRED
pageURL string
datasetId string
attachmentURLs string[]
status string

Possible values: [submitted, ack, processing, completed]

json string
version string
active boolean
assetCreatedDate date-time
assetUpdatedDate date-time
createdTime int64
updatedTime int64
createdBy string
updatedBy string
owner string
tags string[]
Responses
201

Feedback submitted successfully.

Schema — OPTIONAL
userId string — OPTIONAL
content string
pageURL string — OPTIONAL
datasetId string — OPTIONAL
attachmentURLs string[] — OPTIONAL
status string — OPTIONAL

Possible values: [submitted, ack, processing, completed]

json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
400

Invalid feedback data or request.